package com.adventurer_engine.client.hud;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import att;
import atv;
import avi;
import awf;
import bex;
import bgw;
import bim;
import bjo;
import bkb;
import com.adventurer_engine.client.hud.IGuiHUDBase;
import com.adventurer_engine.common.PlayerTools;
import com.adventurer_engine.common.items.blank.ranged_weapon.BasicAmmo;
import com.adventurer_engine.common.items.blank.ranged_weapon.BasicRangedWeapon;
import org.lwjgl.opengl.GL11;
import uf;
import yc;
import ye;

public class HUDAmmoSelect implements IGuiHUDBase {
  public static final bjo texture = new bjo("adventurer_engine", "textures/gui/ammo_select.png");
  
  private int offsetX;
  
  private int offsetY;
  
  private final int textureWidth = 33;
  
  private final int textureHeight = 147;
  
  private static final float scale = 0.6F;
  
  private static final float re_scale = 1.6666666F;
  
  private bgw itemRenderer = new bgw();
  
  public boolean canDisplay(bex player) {
    return (player.aZ() != null && player.aZ().b() instanceof BasicRangedWeapon);
  }
  
  public void display(bex player, awf s) {
    yc tmp = player.aZ().b();
    this.offsetX = 4;
    this.offsetY = s.b() / 2 - 10;
    atv mc = atv.w();
    GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
    GL11.glScalef(0.6F, 0.6F, 0.6F);
    this.offsetX = (int)(this.offsetX * 1.6666666F);
    this.offsetY = (int)(this.offsetY * 1.6666666F);
    mc.r.b(this.offsetX, this.offsetY, 0, 0, 33, 147);
    BasicRangedWeapon weapon = (BasicRangedWeapon)tmp;
    ye item = player.aZ();
    int[] ammoAmount = PlayerTools.ammoAmountList((uf)player, weapon);
    int k = 3;
    int ammoListStart = 0;
    if (item.p() && item.q().b("current_ammo")) {
      yc currentAmmo = BasicAmmo.getAmmoByString(item.q().i("current_ammo"));
      if (PlayerTools.hasItem((uf)player, currentAmmo))
        for (int j = 0; j < weapon.allowed_ammo.size(); j++) {
          if ((currentAmmo.cv == yc.n.cv && "arrow".equals(weapon.allowed_ammo.get(j))) || ((BasicAmmo)currentAmmo).internal_name.equals(weapon.allowed_ammo.get(j))) {
            ammoListStart = j;
            k = 2;
            break;
          } 
        }  
    } 
    int size = weapon.allowed_ammo.size();
    for (int i = 0; i < size; i++) {
      int c = (i + ammoListStart) % size;
      if (ammoAmount[c] > 0) {
        renderAmmoIcon(weapon.allowed_ammo.get(c), ammoAmount[c], k, mc.l, mc.J());
        k = (k + 1) % 5;
        if (k == 2)
          break; 
      } 
    } 
    GL11.glScalef(1.6666666F, 1.6666666F, 1.6666666F);
  }
  
  public bjo getTexture(bex player) {
    return texture;
  }
  
  public String getHUDName() {
    return "ammo_select";
  }
  
  private void renderAmmoIcon(String ammoName, int amount, int idx, avi font, bim manager) {
    att.c();
    int ox = this.offsetX + 8;
    int oy = this.offsetY + 23 + 21 * idx;
    yc i = BasicAmmo.getAmmoByString(ammoName);
    this.itemRenderer.b(font, manager, new ye(i, amount), ox, oy);
    if (i instanceof BasicAmmo) {
      BasicAmmo am = (BasicAmmo)i;
      if (am.unbreakable) {
        font.b(font.a(bkb.a("adv.gun.infinity"), 32), ox + 28, oy + 4, 16777215);
        att.a();
        return;
      } 
    } 
    font.b(font.a(String.valueOf(amount), 32), ox + 28, oy + 4, 16777215);
    att.a();
  }
}
